--- title: "createNasVolumeInstance" slug: "compute-server-createnasvolumeinstance" updated: 2026-09-17T10:12:27Z published: 2026-09-17T10:12:27Z canonical: "api.ncloud-docs.com/compute-server-createnasvolumeinstance" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # createNasVolumeInstance Available in Classic Creates NAS volume instances. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /server/v2/createNasVolumeInstance | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all NAS APIs, see [NAS request headers](/docs/en/nas-overview-classic#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `volumeName` | String | Required | NAS volume name - Enter 3-20 characters using a combination of only English letters and numbers. - It is granted automatically if not entered. - Entered name is prefixed with "nMemberID_"for customer identification. | | `volumeSize` | Long | Required | Volume size - 500-20,000 - Enter in increments of 100 GB. | | `volumeAllotmentProtocolTypeCode` | String | Required | Volume allocation protocol type code - `NFS` \| `CIFS` - `NFS`: It can be mounted on Linux servers such as CentOS and Ubuntu. - `CIFS`: It can be mounted on Windows Servers. | | `accessControlRuleList.N.serverInstanceNo` | String | Conditional | Number of server instance to set with access control - See [getServerInstanceList](/docs/en/compute-server-getserverinstancelist). - Only either `serverInstanceNo` or `customIp` can be entered in a single rule. - `serverInstanceNo` or `customIp` is required when entering `accessControlRuleList.N.writeAccess`. | | `accessControlRuleList.N.customIp` | String | Conditional | Custom IP to set with access control - See [getServerInstanceList](/docs/en/compute-server-getserverinstancelist). - Public IPs can't be set; only private IPs can be set. - Only either `serverInstanceNo` or `customIp` can be entered in a single rule. - `serverInstanceNo` or `customIp` is required when entering `accessControlRuleList.N.writeAccess`. | | `accessControlRuleList.N.writeAccess` | Boolean | Optional | Set writing permissions - `true` (default) \| `false` - `true`: Set - `false`: Not set | | `cifsUserName` | String | Conditional | CIFS username - Required when creating a CIFS-type volume for the first time. - It can't be changed after setup. - Enter 6 to 19 characters with a combination of English letters and numbers. | | `cifsUserPassword` | String | Conditional | CIFS user password - Required when creating a CIFS-type volume for the first time. - Enter 8 to 14 characters with a combination of letters, numbers, and special characters "!", "@", "^", "&", and "*". - Passwords similar to the CIFS username are not allowed. | | `nasVolumeDescription` | String | Optional | Description of the volume (bytes) - 0-1000 | | `regionNo` | String | Optional | Region code where the NAS volume instance will be created - 1-5 (default: `1` (KR)) - See [getRegionList](/docs/en/compute-server-getregionlist). | | `zoneNo` | String | Optional | Zone number where the NAS volume instance will be created - See [getZoneList](/docs/en/compute-server-getzonelist). (Default: `3` (KR-2)) | | `isReturnProtection` | Boolean | Optional | Set termination protection - `true` \| `false` (default) - `true`: Set - `false`: Not set | | `isAsync` | Boolean | Optional | Set async - `true` \| `false` (default) - `true`: Set - `false`: Not set | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/server/v2/createNasVolumeInstance ?volumeName=volume05 &volumeSize=500 &volumeAllotmentProtocolTypeCode=CIFS &accessControlRuleList.1.serverInstanceNo=23500000 &accessControlRuleList.1.writeAccess=true &cifsUserName=user****** &cifsUserPassword=********* &nasVolumeDescription=test ®ionNo=1 &zoneNo=3 &isReturnProtection=false &isAsync=true' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Sub Account Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body See [NasVolumeInstance](/docs/en/common-apidatatype-nasvolumeinstance#%ED%95%84%EB%93%9C) for the response body. ### Response status codes For information about the HTTP status codes common to all NAS APIs, see [NAS response status codes](/docs/en/nas-overview-classic#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "createNasVolumeInstanceResponse": { "totalRows": 1, "nasVolumeInstanceList": [ { "nasVolumeInstanceNo": "23500000", "nasVolumeInstanceStatus": { "code": "INIT", "codeName": "NAS INIT state" }, "nasVolumeInstanceOperation": { "code": "CREAT", "codeName": "NAS CREAT OP" }, "nasVolumeInstanceStatusName": "creating", "createDate": "2024-04-08T11:40:50+0900", "nasVolumeDescription": "test", "mountInformation": "\\\\10.250.00.00\\n2768364_volume05", "volumeAllotmentProtocolType": { "code": "CIFS", "codeName": "CIFS" }, "volumeName": "n2768364_volume05", "volumeTotalSize": 536870912000, "volumeSize": 536870912000, "snapshotVolumeConfigurationRatio": 0.0, "snapshotVolumeSize": 0, "isSnapshotConfiguration": false, "isEventConfiguration": false, "region": { "regionNo": "1", "regionCode": "KR", "regionName": "Korea" }, "zone": { "zoneNo": "3", "zoneName": "KR-2", "zoneCode": "KR-2", "zoneDescription": "Pyeongchon zone", "regionNo": "1" }, "isReturnProtection": false, "nasVolumeInstanceCustomIpList": [], "nasVolumeServerInstanceList": [] } ], "requestId": "", "returnCode": "0", "returnMessage": "success" } } ```